Subject: Re: [PATCH 1/1] veth: don't free priv->status until dev->destructor (v2)

From: "Serge E. Hallyn" <[email-masked]>
Date: Wed, 22 Jul 2009 10:55:01 -0500

Quoting Stephen Hemminger ([email-masked]):
> On Wed, 15 Jul 2009 08:50:12 -0700 (PDT)
> David Miller <[email-masked]> wrote:
> 
> > From: "Serge E. Hallyn" <[email-masked]>
> > Date: Fri, 26 Jun 2009 11:24:18 -0500
> > 
> > > I haven't been able to reproduce the original oops though (been
> > > trying to cat the stats sysfs files while rmmoding veth, to no
> > > avail, and haven't found an original bug report or testcase), so
> > > can't verify whether this patch prevents the original oops.
> > 
> > If you 'cat' it you're unlikely to trigger the oops.
> > 
> > You have to hold the sysfs files open, and then elsewhere do the
> > rmmod, wait, and then continue with some access to those open sysfs
> > file descriptors (f.e. do some reads).

Yup, I was doing that too, but couldn't reproduce as yet.

> > I'd also need this patch to be against current sources as they'll
> > never apply since I did the revert quite some time ago.
> > 
> > Thanks.

Ok, thanks - I'll generate a new patch against a fresh pull when
I can confirm that it actually solves the problem.

> My usual way of doing this is:
> 
> #  (sleep 30; cat /sys/class/net/ethX/statistics/tx_bytes) &
> # rmmod the_buggy_driver
> 
> wait...

Can you oops the kernel this way on latest netns?

thanks,
-serge